package gameUI;

import javax.microedition.lcdui.*;

/**
 * <p>Title: MOBILE GAME 21</p>
 * <p>Description: UI: Low level graphics MENU </p>
 * <p>Copyright: Copyright (c) 2005</p>
 * <p>Company: ANUFLORA INTERNATIONAL</p>
 * @author BHOJAN ANAND
 * @version 1.0
 */

public class mainMenu extends Canvas implements CommandListener {
 private int w;
 private int h;
 //private Image af;
 private int y;
 private int opt;
 private int gameAct;

  public mainMenu() {
    try {
      jbInit();
    }
    catch(Exception e) {
      e.printStackTrace();
    }
  }

  private void jbInit() throws Exception {
     w= getWidth();
     h=getHeight();
     y=20;
     opt = 20;
     
     /*try{
       af = Image.createImage("/gameUI/anufloraLogoSml.png");
     }catch (Exception e) {}*/
     
    // Set up this Displayable to listen to command events
    setCommandListener(this);
    // add the Exit command
    addCommand(new Command("Exit", Command.EXIT, 1));
  }

  public void commandAction(Command command, Displayable displayable) {
    /** @todo Add command handling code */
    if (command.getCommandType() == Command.EXIT) {
// stop the MIDlet
      bsaGameUiMidlet.quitApp();
    }
  }

  public void keyPressed(int keyCode) {
    gameAct = getGameAction(keyCode);
    if ((gameAct == UP) || (gameAct == LEFT)){
      opt -= (opt<=20)? 0: 20;
    }
    if ((gameAct == DOWN) || (gameAct == RIGHT)){
     opt += (opt>=100)? 0: 20;
   }
   if (gameAct == FIRE) {
     int selOpt = opt/20;
      resultCanvas res = new resultCanvas(this);    
      res.getData(selOpt);
      bsaGameUiMidlet.disp.setCurrent(res);
   }
    repaint();
  }


  protected void paint(Graphics g) {
    /** @todo Add paint codes */
    g.setColor(50,255,255);
    g.fillRect(0,0,w,h);
    //g.drawImage(af,0,h,g.BOTTOM|g.LEFT);
    g.setColor(0,0,0);
    g.setFont(Font.getFont(Font.FACE_SYSTEM , Font.STYLE_BOLD|Font.STYLE_UNDERLINED, Font.SIZE_LARGE));
    g.drawString("SELECT GAME LEVEL:",10,0,g.TOP|g.LEFT);
    g.setColor(50,50,255);
    g.fillRoundRect(8,opt-2,w-10,18,10,10);
    g.setColor(255,255,255);
    g.setFont(Font.getFont(Font.FACE_SYSTEM , Font.STYLE_BOLD, Font.SIZE_MEDIUM));
    g.drawString("1. NOVICE",10,y,g.TOP|g.LEFT);
    g.drawString("2. ADVANCED",10,y+20,g.TOP|g.LEFT);
    g.drawString("3. EXPERT  RANK 3",10,y+40,g.TOP|g.LEFT);
    g.drawString("4. EXPERT  RANK 2",10,y+60,g.TOP|g.LEFT);
    g.drawString("5. EXPERT  RANK 1",10,y+80,g.TOP|g.LEFT);

  }

}
