package gameUI;

import javax.microedition.lcdui.*;

/**
 * <p>Title: MOBILE GAME 21</p>
 * <p>Description: UI: Low level graphics MENU </p>
 * <p>Copyright: Copyright (c) 2005</p>
 * <p>Company: ANUFLORA INTERNATIONAL</p>
 * @author BHOJAN ANAND
 * @version 1.0
 */


public class resultCanvas extends  Canvas implements CommandListener {
    
    private int mtr;
    private Canvas previousScreen;
    private Command cmdExit = new Command("Exit", Command.EXIT, 2);
    private Command cmdBack = new Command("Back", Command.OK, 1);
    
    /** Creates a new instance of resultCanvas */
    public resultCanvas(Canvas prev) {
        previousScreen = prev;
        
        // Set up this Displayable to listen to command events
        this.setCommandListener(this);
        // add the Exit command
        addCommand(cmdExit);
        addCommand(cmdBack);
    }
    
    
    public void commandAction(Command command, Displayable displayable) {
    /** @todo Add command handling code */
     if(command==cmdBack) {
       // back to MENU screen  
       bsaGameUiMidlet.disp.setCurrent(previousScreen); 
     }
     if (command==cmdExit) {
       // stop the MIDlet
       bsaGameUiMidlet.quitApp();
     }   
   }
    public void getData(int meter) {
     mtr = meter;
     repaint();
    }
   
    protected void paint(Graphics g) {
    /** @todo Add paint codes */
    g.setColor(50,255,255);
    g.fillRect(0,0,getWidth(),getHeight());
    g.setColor(0,0,0);
    g.setFont(Font.getFont(Font.FACE_SYSTEM , Font.STYLE_BOLD, Font.SIZE_MEDIUM));
    g.drawString("YOU HAVE SELECTED OPTION " + mtr,10,50,g.TOP|g.LEFT);
  }
    
    
}
